## ISEMPTY Test For Variable Empty

Section: Inspection Functions

### Usage

The `isempty` function returns a boolean that indicates if the argument variable is empty or not. The general syntax for its use is

      y = isempty(x).

### Examples

Here are some examples of the `isempty` function

    --> a = []
    a =
      <double>  - size: [0 0]
      []
    --> isempty(a)
    ans =
      <logical>  - size: [1 1]
     1
    --> b = 1:3
    b =
      <int32>  - size: [1 3]

    Columns 1 to 3
     1  2  3
    --> isempty(b)
    ans =
      <logical>  - size: [1 1]
     0

Note that if the variable is not defined, `isempty` does not return true.

    --> clear x
    --> isempty(x)
    Error: Undefined function or variable x